/*
Theme Name:   mathleaks
Description:  Mathleaks Divi child theme
Author:	   Mathleaks
Author URL:   https://mathleaks.se
Template:	 Divi
Version:	  1.0.0
License:	  GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  ml-theme
*/

/**
*  Scrollbars
*/

body::-webkit-scrollbar,
::-webkit-scrollbar {
	-webkit-appearance: initial;
	display:block !important;
	width: 7px !important;
}

@media all and (max-width: 480px) {
	body::-webkit-scrollbar,
	::-webkit-scrollbar {
		-webkit-appearance: initial;
		display: block !important;
		width: 2px !important;
	}
}

body::-webkit-scrollbar-thumb,
::-webkit-scrollbar-thumb {
	border-radius: 4px !important;
	background-color: #e7e7e7 !important;
	box-shadow: 0 0 1px rgba(255,255,255,.5) !important;
	-webkit-box-shadow: 0 0 1px rgba(255,255,255,.5) !important;
}

body::-webkit-scrollbar-track,
::-webkit-scrollbar-track {
	background-color: rgba(6, 6, 13, 0.73) !important;
}


body::-webkit-scrollbar:horizontal,
::-webkit-scrollbar:horizontal {
	height: 7px;
}

.ml-divi .ui-tooltip {
	z-index: 199990;
}

.ml-divi input:-webkit-autofill,
.ml-divi textarea:-webkit-autofill,
.ml-divi select:-webkit-autofill {
	background-color: #f3f3f3;
	background-image: none;
	color: rgb(0, 0, 0);
}

.ml-divi .mejs-container,
.ml-divi .mejs-embed,
.ml-divi .mejs-embed body,
.ml-divi .mejs-container .mejs-controls {
	background: transparent;
	background-color: transparent;
}


html.fs-hidebody * {
	opacity: 0;
}

@media all and (max-width: 500px) {
	.ml-divi .container {
		width: 90%;
	}
}

body.ml-divi {
	padding-top: 0 !important;
	overflow-y: scroll;
}

.ml-divi #page-container #main-content {
	max-width: 100vw;
	overflow: hidden !important;
	padding-top: var(--topnav-height); /* should be the same height as position: fixed/absolute top menu */
	padding-bottom: 30px;
}

/*** Take out the divider line between content and sidebar ***/
#main-content .container:before {
	background: none;
}

/*** Hide Sidebar ***/
#sidebar {
	display: none;
}

/*** Expand the content area to fullwidth ***/
@media (min-width: 981px) {
	#left-area {
		width: 100%;
		padding: 23px 0 0 !important;
		float: none !important;
	}
}

/**
* List styles
*/


ul.et_pb_tabs_controls:after {
	border: none !important;
}

#tab-info li {
	border-radius: 25px;
}

.popup_outer_wrap,
.popup_outer_wrap.popup_full_height {
	height: 100%;
	top: 0;
	min-width: 100vw !important;
	width: 100vw !important;
	-webkit-transform: translateX(0) !important;
	-moz-transform: translateX(0) !important;
	transform: translateX(0) !important;
}

.ml-divi #ml-popup {
	background: #10161e!important;
}

.ml-divi ml-arguments ul,
.ml-divi ml-arguments li {
	list-style-type: none;
}

/* Popup resets */
.ml-divi .popup_outer_wrap {
	display: flex;
	align-items: center;
}

.ml-divi #et-boc .area-outer-wrap>[data-da-area] {
	padding: 3%;
	border-radius: 8px;
	height: auto;
}

.ml-divi #info-popup-1,
.ml-divi #info-popup-2,
.ml-divi #info-popup-3,
.ml-divi #info-popup-4 {
	display:flex;
	flex-direction: column;
	max-width: 80vw;
	max-height: 80vh;
}

.ml-divi .et_pb_section.popup .evr-close {
	color: #fff;
}

.ml-divi .et_pb_section.popup .evr-close:hover,
.ml-divi .et_pb_section.popup .evr-close:focus,
.ml-divi .et_pb_section.popup .evr-close:active {
	color: #000;
}

.ml-divi #et-boc .area-outer-wrap[data-da-color=light] .da-close {
	color: #c7c4c4;
}

/* Custom layout classes */

.et_pb_row.ml-et-row-wide {
	width: 95%;
}

/* Licenskostnader */

ul.info-product-list {
	display: flex;
	flex-direction: column;
}

.info-product-list li {
	padding-bottom: 8px;
	display: flex;
	justify-content: center;
}

.ml-divi .et_pb_pricing_tables_0 .et_pb_pricing li.exclude-item,
.ml-divi li.exclude-item {
	color: #575757 !important;
}

/* school shop page */
body.ml-divi #info-popup-free,
body.ml-divi #info-popup-plus,
body.ml-divi #info-popup-premium {
	max-width: 680px;
	min-width: 480px;
}

/* WR-SWITCH */

wr-switch.elem-wrap {
	min-width: 100%;
	display: flex;
	align-items: center;
	border-radius: 24px;
	min-height: 50px;
	background: #19212f;
	padding: 6px;
	position:relative;
}

wr-switch switch.elem-btn {
	display: flex;
	width: calc(50% - 8px);
	justify-content: center;
	align-items: center;
	border-radius: 24px;
	min-height: 38px;
	height: 38px;
	line-height: 38px;
	z-index: 11;
	cursor: pointer;
}

wr-switch switch.elem-btn:first-of-type {
	margin-right: 8px;
}

wr-switch switch.elem-btn a {
	color: #fff;
	width: 100%;
	height: inherit;
	text-align: center;
	font-weight: bold;
	text-decoration: underline;
	z-index: 10;
}

wr-switch switch.elem-btn:active,
wr-switch switch.elem-btn:hover,
wr-switch switch.elem-btn:focus {
	background-color: #26b060;
}

wr-switch switch.elem-btn:active a,
wr-switch switch.elem-btn:hover a,
wr-switch switch.elem-btn:focus a {
	text-decoration: none !important;
}

wr-switch switch.elem-btn.active {
	background-color: #229954;
	cursor: default;
	pointer-events: none;
}

wr-switch switch.elem-btn.active a {
	text-decoration: none;
}

wr-switch bg-obj.elem-widget {
	background: transparent;
	position: absolute;
	width: 50%;
	height: calc(100% - 8px);
	border-radius: 50px;
	top: 4px;
	z-index: 0;
}

switch.elem-btn.students-link bg-obj.elem-widget,
switch.elem-btn.teachers-link bg-obj.elem-widget {
	background-color: #229954;
	left: 4px;
}

switch.elem-btn.teachers-link bg-obj.elem-widget {
	right: 4px;
	left: auto;
}

switch.elem-btn.students-link:hover + bg-obj {
	transition: all .42s ease-in-out;
	left: 4px;
	right: unset;
}

switch.elem-btn.teachers-link:hover + bg-obj {
	transition: all .42s ease-in-out;
	left: unset;
	right: 4px;
}

/* Teacher links */

teach-link.flex-wrap-btn {
	display: flex;
	cursor: pointer;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	min-height: 62px;
	border-bottom: 1px solid #1c252f;
	padding-right: 16px;
	padding-left: 16px;
}

teach-link h3.elem-link-heading {
	font-size: 18px;
	color: #fff;
	padding: 0;
	width: calc(100% - 130px);
	padding-right: 16px;
	line-height: 1.5;
}

teach-link span.flex-wrap {
	min-width: 130px;
	justify-content: center;
	align-items: center;
	display: flex;
	border-radius: 24px;
	margin-right: 16px;
	min-height: 33px;
	border: 2px solid #1c242f;
	color: #3c4858;
}

teach-link:hover span.flex-wrap {
	color: #fff;
	border: 2px solid #fff;
}

teach-link.flex-wrap-btn a {
	display: flex;
	width: 100%;
}

teach-link i.fas.fa-arrow-right {
	font-size: 8px;
	padding-left: 4px;
}

li.elem-strikeout {
	color: rgba(255, 255, 255, 0.4392156862745098);
}

.et_pb_slider_fullwidth_off .et_pb_container {
	max-width: 100%!important;
	width: 100%!important;
}

.mejs-container {
	clear: both;
	max-width: 100%;
	min-width: 100% !important;
	min-height: 240px;
}

#et-info-phone {
	margin-right: 0;
	display: none;
}

.ml-info-tab-wrap ul {
	min-height: 420px;
}

/* SEARCH ICON RESETS */
#et_top_search {
	display: flex;
	float: unset;
	position: relative;
	width: 18px;
	margin: 0;
	align-items: center;
	margin-left: 8px;
	padding-left: 18px;
	border-left: 1px solid #242f3e;
}

#et_top_search #et_search_icon:before {
	display: flex;
	position: relative;
	margin-bottom: -2px;
}

.ml-divi .entry-header {
	margin-bottom: 16px;
}

/* et_animated prerender.io fix */
.ml-divi .et_animated {
	opacity: 1 !important;
}

.ml-divi .lp-top-section .et_pb_slide_title {
	font-weight: 800 !important;
}

.lp-bottom-gradientoverlay {
	width:100vw;
	display:flex;
	color:#fff;
	justify-content:center;
	align-items: center;
	z-index:9;
	background: -moz-linear-gradient(top,  rgba(16,22,30,0) 0%, rgba(16,22,30,0) 1%, rgba(16,22,30,0.49) 50%, rgba(16,22,30,1) 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top,  rgba(16,22,30,0) 0%,rgba(16,22,30,0) 1%,rgba(16,22,30,0.49) 50%,rgba(16,22,30,1) 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom,  rgba(16,22,30,0) 0%,rgba(16,22,30,0) 1%,rgba(16,22,30,0.49) 50%,rgba(16,22,30,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#0010161e', endColorstr='#10161e',GradientType=0 ); /* IE6-9 */
	position:absolute;
	bottom: 0;
	margin-bottom:-105px;
}

@media all and (min-width: 1px) {
	.lp-bottom-gradientoverlay {
		min-height: 84px;
	}
}
@media all and (min-width: 580px) {
	.lp-bottom-gradientoverlay {
		min-height: 240px;
	}
}

@media all and (min-width: 1px) {
	.lp-top-section .et_pb_slide_description,
	.lp-top-section .et_pb_slider_fullwidth_off .et_pb_slide_description {
		padding: 0px;
	}
	.ml-divi .lp-top-section .et_pb_slide {
		padding: 0 8px !important;
	}
}

@media all and (min-width: 1px) and (max-width: 320px) {
	.lp-bottom-gradientoverlay {
		align-items: flex-end;
		padding-bottom: 16px;
	}
	.lp-top-section .et_pb_slide_title {
		font-weight: 500 !important;
	}
}
@media all and (min-width: 760px) {
	.lp-top-section .et_pb_slide_title {
		max-width: 600px;
		margin: 0 auto;
	}
}

@media all and (min-width: 760px) and (max-width: 800px ) {
	.lp-top-section .et_pb_slider_0.et_pb_slider .et_pb_slides .et_pb_slide_description .et_pb_slide_title {
		font-size: 55px !important;
	}
}

.lp-bottom-gradientoverlay .elem-txt {
	align-items: center;
	justify-content: center;
	flex-direction: column;
	display: flex;
	color: #fff !important;
	opacity: .6;
	cursor: pointer;
}

.lp-bottom-gradientoverlay .elem-txt a {
  color: #fff;
}

.lp-bottom-gradientoverlay .elem-txt:focus,
.lp-bottom-gradientoverlay .elem-txt:hover {
	opacity: 1;
}


/* Global typography Resets | defaults */

/*
.ml-divi h1,
.ml-divi h2,
.ml-divi h3,
.ml-divi h4,
.ml-divi h5,
.ml-divi h6 {
	font-family: 'Roboto-Regular',sans-serif;
}
*/

/*
@media all and (min-width: 1px) {
	.ml-divi h1 {
		font-size: 34px;
	}
	.ml-divi h2 {
		font-size: 21px;
	}
	.ml-divi h3 {
		font-size: 13px;
	}
}

@media all and (min-width: 768px) {
	.ml-divi h1 {
		font-size: 40px;
	}
	.ml-divi h2 {
		font-size: 34px;
	}
	.ml-divi h3 {
		font-size: 21px;
	}
}
*/

.ml-divi h2.elem-msg {
	font-weight: 600;
	color: var(--ml-text-color);
	line-height: 1.7em;
}

/* global color resets | Green style */
/*************************************/

/* cta buttons */
body.ml-divi #page-container .start-here-btn {
	font-weight: bold !important;
	background: #27B060 !important;
	text-transform: initial !important;
	color: #fff !important;
	border-radius: 54px;
	padding: 12px 42px;
	border:0;
}

body.ml-divi .start-here-btn a:focus,
body.ml-divi .start-here-btn a:hover {
	color:#fff !important;
}
